/*-------------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
-------------------------------------------------------------------------------*/

#ifndef THINGROLE_H
#define THINGROLE_H

class MomentIntervalDetail;

/** @stereotype role */
class ThingRole {
public:
    void assessAcrossMIs();

    void listMIs();

    static void listRoles();

    static int assessAcrossRoles();

private:
    int assignedNumber;
    int status;

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 0..*
     */
    MomentIntervalDetail * lnkUnnamed;
};
#endif //THINGROLE_H
